---
title: Date.prototype.getYear()
slug: Web/JavaScript/Reference/Global_Objects/Date/getYear
tags:
  - Date
  - Deprecated
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}} {{deprecated_header}}</div>

<p>The <strong><code>getYear()</code></strong> method returns the year in the specified date according to local time. Because <code>getYear()</code> does not return full years ("year 2000 problem"), it is no longer used and has been replaced by the {{jsxref("Date.prototype.getFullYear", "getFullYear()")}} method.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><code><var>dateObj</var>.getYear()</code></pre>

<h3 id="Return_value">Return value</h3>

<p>A number representing the year of the given date, according to local time, minus 1900.</p>

<h2 id="Description">Description</h2>

<ul>
 <li>For years greater than or equal to 2000, the value returned by <code>getYear()</code> is 100 or greater. For example, if the year is 2026, <code>getYear()</code> returns 126.</li>
 <li>For years between and including 1900 and 1999, the value returned by <code>getYear()</code> is between 0 and 99. For example, if the year is 1976, <code>getYear()</code> returns 76.</li>
 <li>For years less than 1900, the value returned by <code>getYear()</code> is less than 0. For example, if the year is 1800, <code>getYear()</code> returns -100.</li>
</ul>

<p>To take into account years before and after 2000, you should use {{jsxref("Date.prototype.getFullYear", "getFullYear()")}} instead of <code>getYear()</code> so that the year is specified in full.</p>

<h2 id="Backward_compatibility">Backward compatibility</h2>

<h3 id="Behavior_in_JavaScript_1.2_and_earlier">Behavior in JavaScript 1.2 and earlier</h3>

<p>The <code>getYear()</code> method returns either a 2-digit or 4-digit year:</p>

<ul>
 <li>For years between and including 1900 and 1999, the value returned by <code>getYear()</code> is the year minus 1900. For example, if the year is 1976, the value returned is 76.</li>
 <li>For years less than 1900 or greater than 1999, the value returned by <code>getYear()</code> is the four-digit year. For example, if the year is 1856, the value returned is 1856. If the year is 2026, the value returned is 2026.</li>
</ul>

<h2 id="Examples">Examples</h2>

<h3 id="Years_between_1900_and_1999">Years between 1900 and 1999</h3>

<p>The second statement assigns the value 95 to the variable <code>year</code>.</p>

<pre class="brush: js notranslate">var Xmas = new Date('December 25, 1995 23:15:00');
var year = Xmas.getYear(); // returns 95
</pre>

<h3 id="Years_above_1999">Years above 1999</h3>

<p>The second statement assigns the value 100 to the variable <code>year</code>.</p>

<pre class="brush: js notranslate">var Xmas = new Date('December 25, 2000 23:15:00');
var year = Xmas.getYear(); // returns 100
</pre>

<h3 id="Years_below_1900">Years below 1900</h3>

<p>The second statement assigns the value -100 to the variable <code>year</code>.</p>

<pre class="brush: js notranslate">var Xmas = new Date('December 25, 1800 23:15:00');
var year = Xmas.getYear(); // returns -100
</pre>

<h3 id="Setting_and_getting_a_year_between_1900_and_1999">Setting and getting a year between 1900 and 1999</h3>

<p>The third statement assigns the value 95 to the variable <code>year</code>, representing the year 1995.</p>

<pre class="brush: js notranslate">var Xmas = new Date('December 25, 2015 23:15:00');
Xmas.setYear(95);
var year = Xmas.getYear(); // returns 95
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.getyear', 'Date.prototype.getYear')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.getYear")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.getUTCFullYear()")}}</li>
 <li>{{jsxref("Date.prototype.setYear()")}}</li>
</ul>
